@echo off

set origDir=%CD%
set baseDir=%~dp0%

rem Change to the directory where this script is located, which should be
rem the <repository root>\dists\<product> directory
cd /d %baseDir%

rem List all sub-directories in the current directory.  They should all
rem be <package groups> (e.g. platform, HDXCtrl)
dir /b /ad > info.txt

set infoFileContent=< info.txt
echo Generated info.txt with content:
for /f %%a in (info.txt) do (
	echo %%a
)

rem restore original working directory
cd %origDir%
